:root{
    --fuenteHeading: 'PT Sans', sans-serif;
    --fuenteParrafos: 'Open Sans', sans-serif;
    --primario: #784d3c;
    --gris: #e1e1e1;
    --blanco: #ffffff;
    --negro: #000000;

}

html{
    box-sizing: border-box;
    font-size: 62.5%;
}
*,*:before, *:after{
    box-sizing: inherit;
}
body{
    font-family: var(--fuenteParrafos);
    font-size: 1.6rem;
    line-height: 2;
}

/**Globales**/
.contenedor{
    max-width: 120rem;
    width: 90%;
    margin: 0 auto;
}

a{
    text-decoration: none;
}

h1,h2,h3,h4{
    font-family: var(--fuenteHeading);
    line-height: 1.2;
}
h1{
    font-size: 4.8rem;
}
h2{
    font-size: 4rem;
}
h3{
    font-size: 3.2rem;
}
h4{
    font-size: 2.8rem;
}
img{
    max-width: 100%;
}

/**Utilidades**/
.no-margin{
    margin: 0;
}
.no-padding{
    padding: 0;
}
.centrar-texto{
    text-align: center;
}

/**Header**/
.webp .header{
    background-image: url(../img/banner.webp);
}

.no-webp .header{
    background-image: url(../img/banner.jpg);
}
.header{
    height: 60rem;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
}
.header__texto{
    text-align: center;
    color: var(--blanco);
    margin-top: 5rem;
}
@media (min-width: 768px) {
    .header__texto{
        margin-top: 15rem;
    }
}
.barra{
    padding-top: 4rem;
}
@media (min-width: 768px) {
    .barra{
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
}
.logo{
    color: var(--blanco);
}
.logo__nombre{
    font-weight: normal;
}
.logo__bold{
    font-weight: bold;
}
@media (min-width: 768px) {
    .navegacion{
        display: flex;
        gap: 2rem;
    }
}
.navegacion__enlace{
    display: block;
    text-align: center;
    font-size: 1.8rem;
    color: var(--blanco);
}

@media (min-width: 768px) {
    .contenido-principal{
        display: grid;
        grid-template-columns: 2fr 1fr;
        column-gap: 4rem;
    }
}

/**Body - Contenido principal del sitio**/
.entrada{
    border-bottom: 1px solid var(--gris);
    margin-bottom: 2rem;
}
.entrada:last-of-type{
    border: none;
    margin-bottom: 0;
}

/**Botón de las entradas de blog**/
.boton{
    display: block;
    font-family: var(--fuenteHeading);
    color: var(--blanco);
    text-align: center;
    padding: 1rem 3rem;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: bold;
    margin-bottom: 2rem;
    border-radius: 1rem;
    border: none;
}
.boton:hover{
    cursor: pointer;
}
@media (min-width: 768px) {
    .boton{
        display: inline-block;
    }
}
.boton--primario{
    background-color: var(--negro);
}

/**SideBar**/
.boton--secundario{
    background-color: var(--primario);
}
.cursos{
    list-style: none;
}
.widget-curso{
    border-bottom: 1px solid var(--gris);
    margin-bottom: 2rem;
}
.widget-curso:last-of-type{
    border: none;
    margin-bottom: 0;
}
.widget-curso__label,
.curso__label{
    font-family: var(--fuenteHeading);
    font-weight: bold;
}
.widget-curso__info,
.curso__info{
    font-weight: normal;
}

.widget-curso__label,
.widget-curso__info,
.curso__label,
.curso__info{
    font-size: 2rem;
}

.footer{
    background-color: var(--negro);
    padding-bottom: 3rem;
    margin-top: 4rem;
}

/**Estilos página nosotros**/
@media (min-width: 768px) {
    /*
    Diferentes manera de logarlo
    .sobre-nosotros{
        display: flex;
        gap: 2rem;
    }
    .sobre-nosotros__imagen,
    .sobre-nosotros__texto{
        flex-basis: 50%;
    }
    .sobre-nosotros{
        display: flex;
        justify-content: space-between;
    }
    .sobre-nosotros__imagen,
    .sobre-nosotros__texto{
        flex-basis: calc(50% - 1rem);
    }

    .sobre-nosotros__imagen{
        flex: 0 0 calc(50% - 1rem);
    }

    .sobre-nosotros__texto{
        flex: 0 0 calc(50% - 1rem);
    }
    */

    .sobre-nosotros{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 2rem;
    }
}

.sobre-nosotros__texto{
    text-align: justify;
    p{
        margin-top: 0;
    }
}

/**Cursos**/
.curso{
    padding: 3rem 0;
    border-bottom: 1px solid var(--gris);

    p{
        text-align: justify;
    }
}
@media (min-width: 768px) {
    .curso{
        display: grid;
        grid-template-columns:  1fr 2fr;
        column-gap: 2rem;
    }
}
.curso:last-of-type{
    border: none;
}

/**Entrada de blog**/
.entrada__texto{
    text-align: justify;
    height: 2;
}

/**Contacto**/
.contacto-bg{
    background-image: url(../img/contacto.jpg);
    height: 40rem;
    background-size: cover;
    background-repeat: no-repeat;
}

/**Formulario**/
.formulario{
    background-color: var(--blanco);
    margin: -5rem auto 0 auto;
    width: 95%;
    padding: 5rem;
}
.campo{
    display: flex;
    margin-bottom: 2rem;
    gap: 2rem;
}
.campo__label{
    flex: 0 0 9rem;
    text-align: right;
}
.campo__field{
    flex: 1;
    border: 1px solid var(--gris);
}
.campo__field--textarea{
    height: 20rem;
}
/**Formulario para dispositivos pequeños**/
@media (max-width: 700px) {
    .campo{
        flex-direction: column;
    }

    .campo__label{
        flex: 0;
        text-align: left;
    }

    .campo__field{
        width: 100%;
        padding: .5rem 0;
    }
    
    .campo__boton{
        width: 95%;
        text-align: center;
    }

    .campo__field--textarea{
        padding-bottom: 9rem;
    }
}


/*
@media (min-width: 768px) {
    .formulario{
        padding: 5rem;
    }
}
*/